<?php

namespace App\Domains\Budget\Actions\DeleteEstimate;

class DeleteEstimateAction {
    public function __construct(private DeleteEstimateRequest $request) {

    }

    public function execute() : DeleteEstimateResponse {
        $response = new DeleteEstimateResponse();
        $this->request->estimate->delete();
        $response->success = true;
        return $response;
    }
}
